如何解决php 版本不一致的问题

php版本不一致的解决办法:首先查找php/bin目录;然后编辑/etc/profile文件;最后添加一个环境变量为“export PATH="/usr/local/php/bin:$PATH"”即可。

推荐:《PHP视频教程》

本教程操作环境:Windows7系统、PHP7.2.6版,该方法适用于所有品牌电脑。

解决php -v查看到版本于phpinfo()打印的版本不一致问题

整个事件的起因是这样的

通过git拉取laraevl项目发现缺少.env文件,打算使用composer install生成一个.env文件,然后提示composer最低使用php版本7.1.3而检测到我的版本为5.4.16。提示如下:

然后使用phpinfo打印一下发现版本是7.2.6。打印结果如下:

解决方案

首先查找一下linux上有几个php.ini。结果发现有两个:

大致猜想php cli加载的php配置文件与phpinfo()加载的配置文件不一致,使用命令来查看cli加载的php.ini是哪个:

php -i | grep php.ini

结果为:

再查看phpinfo()打印的结果:

发现加载的php.ini的配置文件果然不一致,然后查找php/bin目录,编辑/etc/profile文件在最后一行添加一个环境变量:

export PATH="/usr/local/php/bin:$PATH"

最后保存并退出执行以下命令:

source /etc/profile

总结

就是cli加载的php配置文件,与web服务器加载的php配置文件不一致导致的。只要同意他两的加载配置文件就好了。最后关于那个laravel的.env文件拉去不下来,可以将.env.local复制一份更名为.env就好了

以上就是如何解决php 版本不一致的问题的详细内容,更多请关注龙方网络其它相关文章!

郑重声明:本文版权包含图片归原作者所有,转载文章仅为传播更多信息之目的,如作者信息标记有误,请第一时间联系我们(delete@yzlfxy.com)修改或删除,多谢。

郑重声明:本文版权归原作者所有,转载文章仅为传播更多信息之目的,如作者信息标记有误,请第一时间联系我们修改或删除,多谢。

留言与评论(共有 0 条评论)
昵称:
匿名发表
   
验证码: